<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::LazyExpression Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classCatch_1_1LazyExpression-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::LazyExpression Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::LazyExpression:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1LazyExpression__coll__graph.png" border="0" usemap="#Catch_1_1LazyExpression_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1LazyExpression_coll__map" id="Catch_1_1LazyExpression_coll__map">
<area shape="rect" title=" " alt="" coords="22,95,190,121"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a47186c2487bd4bf871e870ba8048553a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#a47186c2487bd4bf871e870ba8048553a">LazyExpression</a> (bool isNegated)</td></tr>
<tr class="separator:a47186c2487bd4bf871e870ba8048553a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab82d5e94df0e159b018fbde0170e46f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#ab82d5e94df0e159b018fbde0170e46f8">LazyExpression</a> (<a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;other)</td></tr>
<tr class="separator:ab82d5e94df0e159b018fbde0170e46f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ae00d4f36f084c369f2da36565a822"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#ae4ae00d4f36f084c369f2da36565a822">operator=</a> (<a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;)=delete</td></tr>
<tr class="separator:ae4ae00d4f36f084c369f2da36565a822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb846cb230cecfc6aca7a925b31fbca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#acdb846cb230cecfc6aca7a925b31fbca">operator bool</a> () const</td></tr>
<tr class="separator:acdb846cb230cecfc6aca7a925b31fbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47186c2487bd4bf871e870ba8048553a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#a47186c2487bd4bf871e870ba8048553a">LazyExpression</a> (bool isNegated)</td></tr>
<tr class="separator:a47186c2487bd4bf871e870ba8048553a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab82d5e94df0e159b018fbde0170e46f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#ab82d5e94df0e159b018fbde0170e46f8">LazyExpression</a> (<a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;other)</td></tr>
<tr class="separator:ab82d5e94df0e159b018fbde0170e46f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ae00d4f36f084c369f2da36565a822"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#ae4ae00d4f36f084c369f2da36565a822">operator=</a> (<a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;)=delete</td></tr>
<tr class="separator:ae4ae00d4f36f084c369f2da36565a822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb846cb230cecfc6aca7a925b31fbca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#acdb846cb230cecfc6aca7a925b31fbca">operator bool</a> () const</td></tr>
<tr class="separator:acdb846cb230cecfc6aca7a925b31fbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0ae9a062237d64abeb699e7d98ddd226"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#a0ae9a062237d64abeb699e7d98ddd226">m_transientExpression</a> = nullptr</td></tr>
<tr class="separator:a0ae9a062237d64abeb699e7d98ddd226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975fdfe2bb139512024bb479d478425e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#a975fdfe2bb139512024bb479d478425e">m_isNegated</a></td></tr>
<tr class="separator:a975fdfe2bb139512024bb479d478425e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aff20a67b8485fd4382191e638360c907"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#aff20a67b8485fd4382191e638360c907">AssertionHandler</a></td></tr>
<tr class="separator:aff20a67b8485fd4382191e638360c907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaebeae6c9db91b5c4f066e2681a8fd04"><td class="memItemLeft" align="right" valign="top">struct&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#aaebeae6c9db91b5c4f066e2681a8fd04">AssertionStats</a></td></tr>
<tr class="separator:aaebeae6c9db91b5c4f066e2681a8fd04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ddee68e111eb70d3e0ab0ae81087022"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#a8ddee68e111eb70d3e0ab0ae81087022">RunContext</a></td></tr>
<tr class="separator:a8ddee68e111eb70d3e0ab0ae81087022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01086581cab2fcd2d4580b8fa787dfc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#aa01086581cab2fcd2d4580b8fa787dfc">operator&lt;&lt;</a> (std::ostream &amp;os, <a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;lazyExpr) -&gt; std::ostream &amp;</td></tr>
<tr class="separator:aa01086581cab2fcd2d4580b8fa787dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01086581cab2fcd2d4580b8fa787dfc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1LazyExpression.html#aa01086581cab2fcd2d4580b8fa787dfc">operator&lt;&lt;</a> (std::ostream &amp;os, <a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;lazyExpr) -&gt; std::ostream &amp;</td></tr>
<tr class="separator:aa01086581cab2fcd2d4580b8fa787dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a47186c2487bd4bf871e870ba8048553a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47186c2487bd4bf871e870ba8048553a">&#9670;&nbsp;</a></span>LazyExpression() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::LazyExpression </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isNegated</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab82d5e94df0e159b018fbde0170e46f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab82d5e94df0e159b018fbde0170e46f8">&#9670;&nbsp;</a></span>LazyExpression() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::LazyExpression </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47186c2487bd4bf871e870ba8048553a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47186c2487bd4bf871e870ba8048553a">&#9670;&nbsp;</a></span>LazyExpression() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::LazyExpression </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isNegated</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab82d5e94df0e159b018fbde0170e46f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab82d5e94df0e159b018fbde0170e46f8">&#9670;&nbsp;</a></span>LazyExpression() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::LazyExpression </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acdb846cb230cecfc6aca7a925b31fbca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb846cb230cecfc6aca7a925b31fbca">&#9670;&nbsp;</a></span>operator bool() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::operator bool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acdb846cb230cecfc6aca7a925b31fbca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb846cb230cecfc6aca7a925b31fbca">&#9670;&nbsp;</a></span>operator bool() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::LazyExpression::operator bool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4ae00d4f36f084c369f2da36565a822"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ae00d4f36f084c369f2da36565a822">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a>&amp; Catch::LazyExpression::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4ae00d4f36f084c369f2da36565a822"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ae00d4f36f084c369f2da36565a822">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a>&amp; Catch::LazyExpression::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="aff20a67b8485fd4382191e638360c907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff20a67b8485fd4382191e638360c907">&#9670;&nbsp;</a></span>AssertionHandler</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1AssertionHandler.html">AssertionHandler</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaebeae6c9db91b5c4f066e2681a8fd04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaebeae6c9db91b5c4f066e2681a8fd04">&#9670;&nbsp;</a></span>AssertionStats</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AssertionStats</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa01086581cab2fcd2d4580b8fa787dfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01086581cab2fcd2d4580b8fa787dfc">&#9670;&nbsp;</a></span>operator&lt;&lt; <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>lazyExpr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  std::ostream &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa01086581cab2fcd2d4580b8fa787dfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01086581cab2fcd2d4580b8fa787dfc">&#9670;&nbsp;</a></span>operator&lt;&lt; <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1LazyExpression.html">LazyExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>lazyExpr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  std::ostream &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ddee68e111eb70d3e0ab0ae81087022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ddee68e111eb70d3e0ab0ae81087022">&#9670;&nbsp;</a></span>RunContext</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RunContext</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a975fdfe2bb139512024bb479d478425e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a975fdfe2bb139512024bb479d478425e">&#9670;&nbsp;</a></span>m_isNegated</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::LazyExpression::m_isNegated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ae9a062237d64abeb699e7d98ddd226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ae9a062237d64abeb699e7d98ddd226">&#9670;&nbsp;</a></span>m_transientExpression</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const  * Catch::LazyExpression::m_transientExpression = nullptr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
